﻿@using Portal.Models;
@using System.Web.UI.WebControls;
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using DevExpress.Utils;
@model Toyota.Common.Web.MVC.ModelHolder
@{
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
<style type="text/css">
        .circle{
            background-color:#999999;
            height:10px;
            width:10px;
            border-radius:120px;
        }
    
        .green{
            background-color:#00FF01;
            height:10px;
            width:10px;
            border-radius:120px;
        }
        .yellow{
            background-color:#ffcc00;
            height:10px;
            width:10px;
            border-radius:120px;
        }
    div.msgBox{
        width:600px;
    }
    div.msgBoxButtons input[type="button"] {
        width: 200px;
    }

    div.msgBoxButtons input[value="Close"] {
        width: 80px;
        background-color:#ff4242;
    }
</style>
<script type="text/javascript">
    var ROUTE;
    var RATE;
    $(document).ready(function () {
        $('#remMANIFEST_NO_I, #remMANIFEST_NO_ET').hide();
        $('#remORDER_NO_I, #remORDER_NO_ET').hide();
    });
    //t
    function OpenUrl(DOCK_CD, RECEIVING_PLANT, SUPPLIER_CD, SUPPLIER_PLANT_CD) {
        window.location = '@Url.Action("Index", "KanbanReceiving")?RECEIVING_PLANT=' + RECEIVING_PLANT + '&DOCK_CD=' + DOCK_CD + '&DELIVERY_NO=' + DELIVERY_NO.GetText() + '&SUPPLIER_CD=' + SUPPLIER_CD + '&SUPPLIER_PLANT_CD=' + SUPPLIER_PLANT_CD
    }

    function OpenUrlPart(MANIFEST_NO) {
        //window.location = '@Url.Action("Index", "KanbanPartShortage")?RECEIVING_PLANT=' + RECEIVING_PLANT + '&DOCK_CD=' + DOCK_CD + '&DELIVERY_NO=' + DELIVERY_NO.GetText() + '&SUPPLIER_CD=' + SUPPLIER_CD + '&P_LANE_CD=' + P_LANE_CD
        window.location = '@Url.Action("Index", "KanbanPartShortage")?MANIFEST_NO=' + MANIFEST_NO + '&DELIVERY_NO=' + DELIVERY_NO.GetText() + '&RECEIVING_PLANT=' + PLANT.GetText() + '&DOCK_CD=' + DockOption.GetText() + '&ROUTE=' + ROUTE + '&RATE=' + RATE
    }

    function OpenUrlSum(MANIFEST_NO) {
        window.location = '@Url.Action("Index", "KanbanSummaryPartReceiving")?MANIFEST_NO=' + MANIFEST_NO + '&DELIVERY_NO=' + DELIVERY_NO.GetText() + '&RECEIVING_PLANT=' + PLANT.GetText() + '&DOCK_CD=' + DockOption.GetText() + '&ROUTE=' + ROUTE + '&RATE=' + RATE
    }

    function getHeader() {
        //RouteOption.SetText("");
        $.ajax(
             {
                 type: "POST",
                 url: "@Url.Content("~/TruckReceiving/getTruckReceivingHeader")",
                 data:
                 {
                     DELIVERY_NO: DELIVERY_NO.GetText(),
                     DOCK_CD: DockOption.GetText()
                 },
                 success: function (result) {
                     ROUTE = result.data[0].ROUTE;
                     RATE = result.data[0].RATE;
                     lblRoute.textContent = result.data[0].ROUTE;
                     lblRit.textContent = result.data[0].RATE;
                     lblTruckStation.textContent = result.data[0].TRUCK_STATION;
                     lblArrivalPlan.textContent = result.data[0].ARRIVAL_PLAN_DT;
                     lblArrivalActual.textContent = result.data[0].ARRIVAL_ACTUAL_DT;
                     lblDeparturePlan.textContent = result.data[0].DEPARTURE_PLAN_DT;
                     lblDepartureActual.textContent = result.data[0].DEPARTURE_ACTUAL_DT;

                 },
                 error: function (result) {
                     $.msgBox({ title: "error", type: "error", content: "Error when update data" });
                 }
             });
        getShortageCount();
        GridTruckReceiving.PerformCallback();

    }

    function getShortageCount() {
        var x = DELIVERY_NO.GetText();
        var STATUS = null;
        $.ajax({
            type: "POST",
            url: "@Url.Content("~/TruckReceiving/getShortage")",
            data:
        {
            DELIVERY_NO: DELIVERY_NO.GetText(),
            DOCK_CD: DockOption.GetText(),
            RCV_PLANT_CD : PLANT.GetText()
        },
            success: function (result) {

                if (result.data[0].COMPLETED == result.data[0].TOTAL_ITEM) {
                    $('#circle').addClass('green');
                }
                else {
                    $('#circle').addClass('yellow');
                }
                var percent = result.data[0].COMPLETED / result.data[0].TOTAL_ITEM * 100;
                console.log(Math.round(percent));
                lblPercentage.textContent = Math.round(percent) + "%"
            },
            error: function (result) {
                $.msgBox({ title: "error", type: "error", content: "Error when loading data" });
            }
        });

    }

    function OnBeginCallbackGrid(s, e) {

        //if (DCL_NO.GetText() != "" && DockOption.GetText() != "" && ROUTE_RATE.GetText()!="") {
        e.customArgs["DELIVERY_NO"] = DELIVERY_NO.GetText();
        e.customArgs["DOCK_CD"] = DockOption.GetText();
        e.customArgs["RCV_PLANT_CD"] = PLANT.GetText();
        //    e.customArgs["ROUTE_RATE"] = ROUTE_RATE.GetText();
        //    getShortageCount();
        //}
    }

    function search() {
        getHeader();
        GridTruckReceiving.PerformCallback();
    }

    function clear() {
        lblRoute.textContent = "";
        lblRit.textContent = "";
        lblTruckStation.textContent = "";
        lblArrivalPlan.textContent = "";
        lblArrivalActual.textContent = "";
        lblDeparturePlan.textContent = "";
        lblDepartureActual.textContent = "";
        DELIVERY_NO.SetText("");
        GridDockOption.UnselectRows();
        GridDockOption.ClearFilter();
        DockOption.SetText("");
        PLANT.SetText("");
        lblPercentage.textContent = "0%"
        $('#circle').removeClass('yellow');
        $('#circle').removeClass('green');

        GridTruckReceiving.ClearFilter();
    }
    function OnBeginLookupCallbackGrid(s, e) {
        //if (DCL_NO.GetText() != "" && DockOption.GetText() != "")
        //{
        //    e.customArgs["ORDER_NO"] = DCL_NO.GetText();
        //    e.customArgs["DOCK_CD"] = DockOption.GetText();
        //}
    }


    function OnEndCallbackGrid(s, e) {

    }

    function GridCallback(s, e) {
        // GridKanbanReceiving.PerformCallback();
    }


    function BeginCallbackDownload(s, e) {

        //$.fileDownload("KanbanReceiving/DownloadKanbanReceiving/", {
        //    data: {
        //        ORDER_NO:DCL_NO.GetText(),
        //        DOCK_CD : DockOption.GetText(),
        //        ROUTE_RATE:ROUTE_RATE.GetText()
        //    },
        //    successCallback: function (result) {
        //        //GoodsReceiptInquiryProgressPopup.Hide();
        //    },
        //    failCallback: function (result) {
        //        //GoodsReceiptInquiryProgressPopup.Hide();

        //        alert("Error On Download Kanban Receiving Data.");
        //    }
        //});
    }

    function DoUpload() {
        //ucCallbacks.Upload();
    }

    function uploadcomplete(v) {
        @*if(v!="")
        {
            $.msgBox({ title: "error", type: "error", content: v, success: function () { window.location = '@Url.Action("Index", "KanbanReceiving")';  } });
        }
        else
        {

            window.location = '@Url.Action("Index", "KanbanReceiving")';
        }*@


    }


    function PartReceive() {
        var manifest_no = GridTruckReceiving.GetSelectedKeysOnPage()[0];
        
        if(GridTruckReceiving.GetSelectedKeysOnPage().length>0)
        {
            window.location = '@Url.Action("Index", "KanbanReceivingManifestLevel")?MANIFEST_NO=' + manifest_no
        }
        else
        {
            $.msgBox({ title: "error", type: "error", content: "Please select a record" });
        }

    }
    
    function openpage(manifest_no, supplier_plant_cd, supplier_code, supplier_name, rcv_plant_cd, dock_cd)
    {
        var delivery_no = DELIVERY_NO.GetText();
    console.log(rcv_plant_cd);
       $.msgBox({
            title: "Page choser",
            type: "prompt",
            content: "Please choose wich page do you like to open",
            buttons: [
                {
                    value:'Summary Part Receiving'
                },
                {
                    value:'Kanban Receiving Manifest Level'
                }
                ,
                {
                    value: 'Close'
                }
            ],
            inputs:false,
            success:function(m)
            {
                switch(m)
                {
                    case "Close":
                    break;
                    case "Summary Part Receiving":
                        window.location = '@Url.Action("Index", "KanbanSummaryPartReceiving")?MANIFEST_NO=' + manifest_no +'&DELIVERY_NO='+delivery_no+'&DOCK_CD='+dock_cd+'&RECEIVING_PLANT='+rcv_plant_cd+'&SUPPLIER_CD='+supplier_code
                    break;
                    case "Kanban Receiving Manifest Level":
                        window.location = '@Url.Action("Index", "KanbanReceivingManifestLevel")?MANIFEST_NO=' + manifest_no + '&SUPPLIER_PLANT_CD='+supplier_plant_cd+'&SUPPLIER_CODE='+supplier_code+'&RCV_PLANT_CD='+rcv_plant_cd+'&DOCK_CD='+dock_cd+'&SUPPLIER_NAME='+supplier_name
                    break;
                }
            }
        });
       $('div.msgBoxContainer').html('<center><h4>Please choose wich page do you like to open</h4></center>');
    }



    function remark(MANIFEST_NO, ORDER_NO) {
        remMANIFEST_NO.SetText(MANIFEST_NO);
        remORDER_NO.SetText(ORDER_NO);
        getRemark();
        popupnew.SetHeaderText('Add remark');
        popupnew.Show();
    }


    function remarkSave() {
        $.ajax(
        {
            type: "POST",
            url: "@Url.Content("~/TruckReceiving/saveRemark")",
            data:
        {
            MANIFEST_NO: remMANIFEST_NO.GetText(),
            ORDER_NO: remORDER_NO.GetText(),
            REMARK: REMARK.GetText()
        },
        dataType: "JSON",
        success: function (result) {
            if (result.status == 'success') {
                remMANIFEST_NO.SetText("");
                remORDER_NO.SetText("");
                REMARK.SetText("");
                popupnew.Hide();
                $.msgBox({ title: "Info", type: "info", content: result.message });
            }
            else {
                remMANIFEST_NO.SetText("");
                remORDER_NO.SetText("");
                REMARK.SetText("");
                popupnew.Hide();
                $.msgBox({ title: "Warning", type: "warning", content: result.message });
            }
        }
    });
    }


    function getRemark()
    {
        $.ajax(
        {
            type: "POST",
            url: "@Url.Content("~/TruckReceiving/getRemark")",
            data:
            {
                MANIFEST_NO: remMANIFEST_NO.GetText(),
                ORDER_NO: remORDER_NO.GetText()
            },
            dataType: "JSON",
            success: function (result) {
                REMARK.SetText(result.remark);
            }
        });
    }
    function remarkCancel() {
        remMANIFEST_NO.SetText("");
        remORDER_NO.SetText("");
        REMARK.SetText("");
        popupnew.Hide();
    }
</script>
<div style="display: table; border: 1px solid #142B94; background-color: #DEECFD;">
    @Html.Action("PartialHeader", "TruckReceiving")
</div>


<!--<div style="margin-left: 10px; display: table; border: 1px solid #142B94; background-color: #DEECFD; padding: 10px; float: left; height: 120px; margin-bottom:10px;">
    
    <div id="circle" class="circle">&nbsp;</div>
    </div>
    -->
    <div style="height: 15px;">
    </div>
    @* div spacing *@
   
@*<div style="float:right">
    @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnPartReceive";
                    settings.Text = "Part Receive";
                    settings.UseSubmitBehavior = false;
                    settings.Width = 100;
                    settings.ClientSideEvents.Click = "PartReceive";
                }
            ).GetHtml()
</div>*@
<div style=" display: table; width: 100%; margin-right: 10px; ">
    @Html.Action("PartialData", "TruckReceiving")
</div>


    <div id="toggleDetail" style="margin-top:5px;"></div>

@Html.DevExpress().PopupControl(settings =>
{
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupnew";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(400);
    //settings.Height = System.Web.UI.WebControls.Unit.Pixel(350);
    settings.Modal = true;
    settings.ShowPageScrollbarWhenModal = false;
    settings.CloseAction = CloseAction.CloseButton;
    settings.SetContent(() =>
    {
        Html.RenderPartial("RemarkForm");
    });
}).GetHtml()